Name:         amtterm
License:      GPLv2+
Version:      1.2
Release:      2%{?dist}
Summary:      Serial-over-lan (sol) client for Intel AMT
Group:        Applications/Internet
Source:       %{name}-%{version}.tar.gz
URL:          http://dl.bytesex.org/releases/%{name}/%{name}-%{version}.tar.gz
Buildroot:    %{_tmppath}/root-%{name}-%{version}-%{release}
Requires:     xdg-utils
BuildRequires: gtk2-devel vte-devel desktop-file-utils

%description
Serial-over-lan (sol) client for Intel AMT.
Includes a terminal and a graphical (gtk) version.
Also comes with a perl script to gather informations
about and remotely control AMT managed computers.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make prefix=/usr

%install
rm -rf %{buildroot}
make prefix=/usr DESTDIR=%{buildroot} STRIP="" install
desktop-file-install \
    --vendor="fedora" \
    --delete-original \
    --dir=%{buildroot}%{_datadir}/applications/ \
    %{buildroot}/%{_datadir}/applications/gamt.desktop

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/*
%{_mandir}/man?/*
/usr/share/applications/*.desktop

%clean
rm -rf %{buildroot}

%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Gerd Hoffmann <kraxel@redhat.com> - 1.2-1
- update to version 1.2
  * support special reboot commands (pxe, bios. ...).
  * gamt: gui tweaks, logging support.

* Thu Oct 30 2008 Gerd Hoffmann <kraxel@redhat.com> - 1.1-3
- update to version 1.1
  * handle BIOS-over-SOL.
  * some minor doc tweaks.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-2
- Autorebuild for GCC 4.3

* Fri Aug 31 2007 Gerd Hoffmann <kraxel@redhat.com> - 1.0-1
- update to version 1.0
  * more amttool improvements (network config).
- don't strip binaries (bug #269241).
* Fri Aug 24 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.99-1
- update to version 0.99
  * add manual pages.
  * add desktop file.
  * improve amttool alot.
  * misc bug fixes.
- add amttool to the package description.
* Tue Aug 21 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.5-1
- update to version 0.5
  * clarify license (GPLv2+).
  * keyboard tweaks.
  * cursor blink option.
- fix specfile bugs pointed out by review.
* Mon Aug 20 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.4-1
- update to version 0.4
  * minur gui tweaks.
  * started tool to control machines.
* Thu Aug 16 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.3-1
- update to version 0.3
  * gui improvements.
* Wed Aug 15 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.2-1
- update to version 0.2
  * added gui (gtk) version.
  * some protocol fixups.
* Thu Aug 09 2007 Gerd Hoffmann <kraxel@redhat.com> - 0.1-1
- initial release
